import java.util.* ;
interface ccfast_tgr {
   static void main(String[] args) {
      Scanner sc = new Scanner(System.in) ;
      long n = sc.nextLong() ;
      long k = sc.nextLong() ;
      long v = 0 ;
      long m = 1 ;
      long r = 0 ;
      long sik = -1 ;
      long svk = -1 ;
      long si = -1 ;
      long sr = -1 ;
      for (long i=1; i<=n; i++) {
         if (i >= m) {
            sik = i % k ;
            svk = v % k ;
            si = i ;
            sr = r ;
            m *= 10 ;
            v = (v * m + i) % k ;
            if (v == 0)
               r++ ;
         } else if (i % k == sik && v % k == svk) {
            long cyc = i - si ;
            long acc = (Math.min(m, n)-i) / cyc ;
            i += acc * cyc ;
            r += acc * (r - sr) ;
            sik = -1 ;
            i-- ;
         } else if (i - si > k * k) { // restart loop
            sik = i % k ;
            svk = v % k ;
            si = i ;
            sr = r ;
            v = (v * m + i) % k ;
            if (v == 0)
               r++ ;
         } else {
            v = (v * m + i) % k ;
            if (v == 0)
               r++ ;
         }
      }
      System.out.println(r) ;
   }
}
